apt: Container_iterator_base< Interface, Master, iterator_type, container_iterator, container_value > Class Template Reference

apt 3.3.3 commandline package manager

Public Types | Public Member Functions | Public Attributes | Protected Attributes | Friends | List of all members
Container_iterator_base< Interface, Master, iterator_type, container_iterator, container_value > Class Template Reference
Inheritance diagram for Container_iterator_base< Interface, Master, iterator_type, container_iterator, container_value >:

## Public Types
using | iterator_category = typename std::iterator_traits<container_iterator>::iterator_category
using | value_type = container_value
using | difference_type = std::ptrdiff_t
using | pointer = container_value*
using | reference = container_value&

## Public Member Functions
| Container_iterator_base (container_iterator const &i)
container_value | operator* (void) const
| operator container_iterator (void) const
iterator_type & | operator++ ()
iterator_type | operator++ (int)
iterator_type | operator+ (typename container_iterator::difference_type const &n) const
iterator_type | operator+= (typename container_iterator::difference_type const &n)
iterator_type & | operator-- ()
iterator_type | operator-- (int)
iterator_type | operator- (typename container_iterator::difference_type const &n) const
container_iterator::difference_type | operator- (iterator_type const &b)
iterator_type | operator-= (typename container_iterator::difference_type const &n)
bool | operator!= (iterator_type const &i) const
bool | operator== (iterator_type const &i) const
bool | operator< (iterator_type const &i) const
bool | operator> (iterator_type const &i) const
bool | operator<= (iterator_type const &i) const
bool | operator>= (iterator_type const &i) const
container_iterator::reference | operator[] (typename container_iterator::difference_type const &n) const

## Public Attributes
friend | Master

## Protected Attributes
container_iterator | _iter

## Friends
std::ostream & | operator<< (std::ostream &out, iterator_type i)

The documentation for this class was generated from the following file:

- apt-pkg/cacheset.h